import { useMyRequest } from '~/composables/useFetchRequest'

enum Api {
  FeatureList = '/client/topic/list',
  FeatureDetail = '/client/topic/detail',
  FeatureAlumDetail = '/client/topic/getPaintingDetail',
  FeatureGoodsList = '/client/topic/rm/list',
  FeatureBrandList = '/client/topic/rb/list',
}

/**
 * 获取主题列表
 * @param params
 * @returns
 */
export async function getFeatureListApi(params?: any) {
  return await useMyRequest().get(Api.FeatureList, params)
}

/**
 * 获取主题详情
 * @param params
 * @returns
 */
export async function getFeatureDetailApi(params?: any) {
  return await useMyRequest().get(Api.FeatureDetail, params)
}
/**
 * 获取主题的画册详情
 * @param params
 * @returns
 */
export async function getFeatureAlumDetailApi(params?: any) {
  return await useMyRequest().get(Api.FeatureAlumDetail, params)
}

/**
 * 获取主题商品列表
 * @param params
 * @returns
 */

export async function getFeatureGoodsListApi(params?: any) {
  return await useMyRequest().get(Api.FeatureGoodsList, params)
}

/**
 * 获取主题下品牌列表
 * @param params
 * @returns
 */
export async function getFeatureBrandsListApi(params?: any) {
  return await useMyRequest().get(Api.FeatureBrandList, params)
}
